# $Revision: 1.14 $, $Date: 2010/04/07 08:48:59 $
Summary:	AdLib sound player library
Summary(pl.UTF-8):	Biblioteka odtwarzacza dźwięku AdLib
Name:		adplug
Version:	2.2.1
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/adplug/%{name}-%{version}.tar.bz2
# Source0-md5:	8f815fd5d254de0fe5df818df9d1d8af
Patch0:		%{name}-info.patch
URL:		http://adplug.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libbinio-devel >= 1.4
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
Requires:	libbinio >= 1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AdPlug is a free, multi-platform, hardware independent AdLib sound
player library, mainly written in C++. AdPlug plays sound data,
originally created for the AdLib (OPL2) audio board, on top of an OPL2
emulator or by using the real hardware. No OPL2 chip is required for
playback.

%description -l pl.UTF-8
AdPlug to wolnodostępna, wieloplatformowa, niezależna od sprzętu
biblioteka odtwarzacza dźwięku AdLib, napisana głównie w C++. AdPlug
odtwarza dane dźwiękowe stworzone pierwotnie dla karty dźwiękowej
AdLib (OPL2) przy użyciu emulatora OPL2 lub prawdziwego sprzętu. Do
odtwarzania nie jest wymagany układ OPL2.

%package devel
Summary:	Header files for AdPlug library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki AdPlug.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libbinio-devel >= 1.4

%description devel
This is the package containing the header files for AdPlug library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki AdPlug.

%package static
Summary:	Static AdPlug library
Summary(pl.UTF-8):	Statyczna biblioteka AdPlug
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static AdPlug library.

%description static -l pl.UTF-8
Statyczna biblioteka AdPlug.

%prep
%setup -q
%patch0 -p1
%{__sed} -i 's@<string>@<string.h>@' src/player.h

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# for system-wide adplugdb database
install -d $RPM_BUILD_ROOT/var/lib/adplug

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun devel	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/adplugdb
%attr(755,root,root) %{_libdir}/libadplug-*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libadplug-*.so.?
%{_mandir}/man1/adplugdb.1*
%dir /var/lib/adplug

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libadplug.so
%{_libdir}/libadplug.la
%{_includedir}/%{name}
%{_pkgconfigdir}/adplug.pc
%{_infodir}/libadplug.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libadplug.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: adplug.spec,v $
Revision 1.14  2010/04/07 08:48:59  lisu
- 2.2.1

Revision 1.13  2010/01/13 14:30:34  sparky
- add library symlink as %ghost

Revision 1.12  2010/01/13 13:46:53  lisu
- up to 2.2

Revision 1.11  2009/01/05 18:44:10  lisu
- autotools
- include string.h to avoid "not declared in this scope" errors
- adapter

Revision 1.10  2008/01/24 01:36:30  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.9  2007-04-18 08:51:22  qboosh
- updated to 2.1

Revision 1.8  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.6  2006/07/19 22:30:54  qboosh
- updated to 2.0.1 (fixes CVE-2006-3581 CVE-2006-3582; note: new soname)

Revision 1.5  2006/05/28 09:56:19  qboosh
- updated to 2.0 (note: new soname)
- added dir for system-wide adplugdb database
- added info patch, moved info to -devel, register it

Revision 1.4  2006/02/09 21:14:43  freetz
- removed bogus TODO/BR

Revision 1.3  2005/07/27 08:31:32  blekot
- up to 1.5.1

Revision 1.2  2005/06/11 20:53:22  qboosh
- pl, many cleanups/fixes

Revision 1.1  2005/06/11 14:36:54  koorek
- new
